##
##  icon.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_real 941
%define       V_here 9.4.1

#   package information
Name:         icon
Summary:      Icon Programming Language
URL:          http://www.cs.arizona.edu/icon/
Vendor:       Univerity Of Arizona
Packager:     The OpenPKG Project
Distribution: OpenPKG [PLUS]
Group:        Language
License:      GPL
Version:      %{V_here}
Release:      20020821

#   list of sources
Source0:      ftp://ftp.cs.arizona.edu/icon/packages/unix/icon.v%{V_real}src.tgz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, make, gcc
PreReq:       OpenPKG, openpkg >= 20020206
AutoReq:      no
AutoReqProv:  no

%description
    Icon is a high-level, general-purpose programming language with a
    large repertoire of features for processing data structures and
    character strings. Icon is an imperative, procedural language with
    a syntax reminiscent of C and Pascal, but with semantics at a much
    higher level.

%prep
    %setup -q -n icon.v%{V_real}src

%build
    case "%{l_target}" in
        *-freebsd* ) name="freebsd" ;;
        *-linux*   ) name="linux"   ;;
        *-solaris* ) name="sun_gcc" ;;
        * ) echo "platform %{l_target} not supported" 1>&2; exit 1 ;;
    esac
    %{l_make} %{l_mflags} Configure name=$name
    %{l_make} %{l_mflags}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/share/icon
    %{l_make} %{l_mflags} Install dest=$RPM_BUILD_ROOT%{l_prefix}
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/doc
    mv $RPM_BUILD_ROOT%{l_prefix}/bin/libcfunc.so \
       $RPM_BUILD_ROOT%{l_prefix}/share/icon/
    mv $RPM_BUILD_ROOT%{l_prefix}/lib/* \
       $RPM_BUILD_ROOT%{l_prefix}/share/icon/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

